//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

#ifndef _STARTERFRAME_
#define _STARTERFRAME_

//=======================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

//=======================================================================
class FW_CLASS_ATTR CStarterPart;
class FW_CLASS_ATTR FW_CMenuEvent;

//=======================================================================
class FW_CLASS_ATTR CStarterFrame : public FW_CFrame {
public:
						CStarterFrame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CStarterPart* starterPart);
	virtual 			~CStarterFrame();
protected:
// overrides
	virtual void		Draw(Environment *ev, 
							 ODFacet* odFacet, 
							 ODShape* invalidShape);
	virtual void		FrameShapeChanged(Environment* ev);
	virtual FW_Boolean	DoAdjustMenus(Environment* ev,
									  FW_CMenuBar* menuBar, 
									  FW_Boolean hasMenuFocus,
									  FW_Boolean isRoot);
	virtual FW_Boolean	DoMenu(Environment* ev,
							   const FW_CMenuEvent& theMenuEvent);
	virtual FW_Boolean 	DoMouseDown(Environment* ev, 
								const FW_CMouseEvent& theMouseEvent);
	virtual FW_Boolean	DoCharKey(Environment* ev, 
							const FW_CCharKeyEvent& theCharKeyEvent);
	virtual FW_Boolean 	DoVirtualKey(Environment* ev, 
							const FW_CVirtualKeyEvent& theVirtualKeyEvent);
private:
	CStarterPart* 		fStarterPart;
};

//=======================================================================
#endif
