//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

#ifndef STARTERPRT_H
#define STARTERPRT_H

//=======================================================================
#ifndef _STARTERDEF_
#include "StarterDef.h"
#endif

// ----- Framework Includes -----
#ifndef FWPART_H
#include "FWPart.h"			// FW_CPart
#endif

// ----- Foundation Layer -----
#ifndef FWSTDDEF_H
#include <FWStdDef.h>		// ?
#endif

#ifndef FWBNDSTR_H
#include <FWBndStr.h>		// FW_CString
#endif

//=======================================================================
class FW_CLASS_ATTR FW_CPart;
class FW_CLASS_ATTR FW_CString;
class FW_CLASS_ATTR FW_CMenuBar;
class FW_CLASS_ATTR FW_CMenuEvent;
class FW_CLASS_ATTR FW_CPresentation;

//=======================================================================
class FW_CLASS_ATTR CStarterPart : public FW_CPart {
public:
						CStarterPart(ODPart* odPart);
	virtual 			~CStarterPart();
// overrides
protected:
	virtual void 		Initialize(Environment* ev);
	virtual FW_CFrame*	NewFrame(Environment* ev,
								 ODFrame* odFrame,
								 FW_CPresentation* presentation,
								 FW_Boolean fromStorage);
	virtual FW_Boolean	DoAdjustMenus(Environment* ev,
									  FW_CMenuBar* menuBar, 
									  FW_Boolean hasMenuFocus,
									  FW_Boolean isRoot);
	virtual FW_Boolean	DoMenu(Environment* ev,
							   const FW_CMenuEvent& theMenuEvent);
	virtual void		AddProperties(Environment* ev,
									  ODStorageUnit* storageUnit);
	virtual void		ExternalizeContent(Environment *ev,
										   ODStorageUnit* storageUnit,
										   FW_CCloneInfo* cloneInfo);
	virtual void		InternalizeContent(Environment *ev,
										   ODStorageUnit* storageUnit, 
										   FW_CCloneInfo* cloneInfo);
	virtual FW_Boolean 	DoIdle(Environment* ev, 
									const FW_CNullEvent& theNullEvent);
// new members
public:
	virtual void 		MyInitMenus(Environment* ev);
	virtual void		MyInvalidatePresentation(Environment* ev);
	const FW_CString& 	MyGetTextData();
			void 		MyDoStarterCommand(Environment* ev, ODCommandID id);
			void 		MyGetResourceString(FW_ResourceId multiStringId,
						   					FW_ResourceId stringId,
						   					FW_CString& string);
	static const ODValueType 	kPartKind;
	static const ODValueType 	kPartUserName;
private:
	FW_CString255		fTextData;
	FW_Boolean			fIsStarter;
	FW_CPresentation*	fPresentation;
};

//=======================================================================
#endif
